Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::LayoutSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Layout. More...

`#include <xfc/gtk/layoutsignals.hh>`

Inheritance diagram for Xfc::Gtk::LayoutSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_set_scroll_adjustments (Adjustment *hadjustment, Adjustment *vadjustment)
    Called when a layout is added to a scrolling aware parent.

## Protected Member Functions

Constructors

- LayoutSignals (Layout *layout)
    Construct a new LayoutSignals object.
- virtual ~LayoutSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Layout.

## Constructor & Destructor Documentation

Xfc::Gtk::LayoutSignals::LayoutSignals | ( | Layout * | layout | ) | `[protected]`

Construct a new LayoutSignals object.

Parameters:

  | layout | A Layout object inheriting the LayoutSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::LayoutSignals::on_set_scroll_adjustments | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) | `[virtual]`

Called when a layout is added to a scrolling aware parent.

Parameters:

  | hadjustment | The horizontal adjustment.
  | vadjustment | The vertical adjustment.

The documentation for this class was generated from the following file:

- layoutsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3